#include "impl.h"

#include <QGuiApplication>
#include <QScreen>
#include <QtConcurrent/QtConcurrent>

namespace
{
	qreal GetDevicePixelRatio()
	{
		return static_cast< QGuiApplication* >( QGuiApplication::instance() )->primaryScreen()->devicePixelRatio();
	}
	QString GetDevicePixelRatioString()
	{
		return QString::number( GetDevicePixelRatio() );
	}
}

Impl::Impl(QObject *parent) : QObject(parent)
{

}

void Impl::works()
{
	result( "Impl::works() - DevicePixelRatio = " + GetDevicePixelRatioString() );
}
void Impl::fails()
{
	QtConcurrent::run( [=]{ result( "Impl::fails() - DevicePixelRatio = " + GetDevicePixelRatioString() ); } );
}
